// -*- c-basic-offset: 4 -*-
#ifndef _BCAP_NOTE_QUEUE_HH
#define _BCAP_NOTE_QUEUE_HH
#include "notifierqueue.hh"
#include <click/timer.hh>
CLICK_DECLS


class BcapNoteQueue : public NotifierQueue { 

   public:

    BcapNoteQueue();
    ~BcapNoteQueue();

    const char *class_name() const		{ return "BcapNoteQueue"; }
    void *cast(const char *);
    void run_timer();
    int configure(Vector<String> &conf, ErrorHandler *);
    
    void push(int port, Packet *);
    Packet *pull(int port);

  private:
    Timer timer_;
    int tx_;
    ActiveNotifier _full_note;
    char name_[32];
};

CLICK_ENDDECLS
#endif
