
#ifndef secflow_router_marking_h
#define secflow_router_marking_h

#include <click/timer.hh>
#include "fastpass_common.hh"

#define KEYBITS 4
#define WINDOWSIZE (1 << KEYBITS)


class SecflowRouterMarking{
public:
	SecflowRouterMarking();
	~SecflowRouterMarking();
	int classify_packet(hdr_secflow *hdr);
	void mark_packet(hdr_secflow *hdr);
	void run_timer();

protected:

	uint32_t keys[WINDOWSIZE];
	uint32_t key_index;

};


#endif
