
#ifndef time_utils_h
#define time_utils_h

// TIMEVAL OPERATIONS

inline static void timer_sub(timeval *a, timeval *b, timeval *result) {
	result->tv_sec = a->tv_sec - b->tv_sec;
	result->tv_usec = a->tv_usec - b->tv_usec;
	if(result->tv_usec < 0) {
		result->tv_sec--;
		result->tv_usec += 1000000;
	}
}
inline static int 
less_than(struct timeval* a, struct timeval *b) 
{
	return a->tv_sec < b->tv_sec || 
	(a->tv_sec == b->tv_sec && a->tv_usec < b->tv_usec);
}

#endif
