#ifndef TOKEN_REQUESTER_HH
#define TOKEN_REQUESTER_HH
#include <click/element.hh>
#include <click/glue.hh>
#include <click/atomic.hh>
#include <clicknet/udp.h>
CLICK_DECLS


class TokenRequester  { 

public:

  TokenRequester();
  ~TokenRequester();
  
  Packet *createRequest(u_int req_ip, u_int src_ip, u_int token_server);

 private:

  unsigned short _sport;
  unsigned short _dport;
  bool _cksum : 1;
#if HAVE_FAST_CHECKSUM && FAST_CHECKSUM_ALIGNED
  bool _aligned : 1;
#endif
  atomic_uint32_t _id;

};

CLICK_ENDDECLS
#endif
