#!/bin/bash

ip_list_fname='./all_ips.txt'
pub_db_fname='./pub.db'
priv_db_fname='./priv.db'

rm *.token
rm *.db

# these are dummy values for i and t
tvalue='2345234624'
ivalue='355353535'

./token_util d $ip_list_fname $pub_db_fname  $priv_db_fname

while read line; do 
	token_fname="./$line.token"
	./token_util t $ivalue $tvalue $line $priv_db_fname > $token_fname

done < $ip_list_fname

echo "Done generating tokens"
