#ifndef _token_util_hh
#define _token_util_hh

#include "crypt.h"

struct privkey_info {
  struct in_addr dest_ip;
  rabin_priv* key;
};

void generate_key(char* priv_p_filename, char* priv_q_filename,
		  char* pub_filename);


void generate_token(int i, int t, struct in_addr dest_ip,
		    privkey_info* priv_keys, int num_keys);

void generate_new_key_DB(char* iplist, char *pubDB, char*privDB);

int load_private_keys(char* pk_file, privkey_info* array, int max);

#endif
