#ifndef _fp_test_utils
#define _fp_test_utils


#include <click/packet.hh>
#include <click/ipaddress.hh>


WritablePacket *make_tcp_packet(IPAddress src, IPAddress dst, u_short src_port,
                        u_short dst_port, unsigned int data_len,
                        unsigned int headroom, unsigned short flags) ;


WritablePacket *make_data_packet(IPAddress src, IPAddress dst, 
			u_short src_port, u_short dst_port, 
			int data_len); 

WritablePacket *make_request_packet(IPAddress src, IPAddress dst, 
			u_short src_port, u_short dst_port,
			int data_len) ;
#endif
