#ifndef _tva_token_handler_hh
#define _tva_token_handler_hh

#include <click/element.hh>

class TVATokenHandler : public Element {

public:
	TVATokenHandler();
	~TVATokenHandler();

	int initialize(ErrorHandler *);

	const char *class_name() const { return "TVATokenHandler"; }
	const char *processing() const { return PUSH; }
	int configure(Vector<String> &, ErrorHandler *);
	bool can_live_reconfigure() const { return true; }
	void push(int i, Packet *p);


}; 

#endif
