#ifndef _router_token_hh
#define _router_token_hh

#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>


class rabin_pub;

struct pubkey_info {
  pubkey_info() { }
  struct in_addr dest_ip;
  rabin_pub *key;
};
bool validate_new_token_file(pubkey_info *keys, int num_keys,
                char* token_filename);
void rabin_benchmark(int key_size, int num_verifies, int numsigs);
int load_public_keys(char* pk_file, pubkey_info* array, int max);
bool validate_token_file(pubkey_info* keys, int num_keys, char* token_filename);
bool validate_token(pubkey_info* keys, int num_keys, char* token_buf, int token_len,
		    struct in_addr dest_ip);
void bcap_print_bytes(char *start, int len);
#endif
